var midi=require('midi-js');

var midiin=new midi.input('./midiin',function(code,msg){
	if (code) {
		console.log(msg)
		process.exit(code);
	} else {
		midiin.sysex(msg,sysex_callback);
	}
});

var midiout=new midi.output('./midiout',function(code,msg) {
	if (code) {
		console.log(msg)
		process.exit(code);
	}
});

function sysex_callback(msg) {
	console.log(msg);
}

var buffer=new Buffer(2);
buffer[0]=240;
buffer[1]=247;

midiout.send(buffer);

